POST api/Cart/AddVoucherInCart
Request Information
URI Parameters
None.
Body Parameters
clsCartDAL| Name | Description | Type | Additional information |
|---|---|---|---|
| CartId | globally unique identifier |
None. |
|
| CartNo | integer |
None. |
|
| ProductId | globally unique identifier |
None. |
|
| Quantity | integer |
None. |
|
| ProductPackageId | globally unique identifier |
None. |
|
| Rate | decimal number |
None. |
|
| Unit | string |
None. |
|
| UnitType | string |
None. |
|
| Date | date |
None. |
|
| VoucherAdded | boolean |
None. |
|
| VoucherAmount | decimal number |
None. |
|
| VoucherId | globally unique identifier |
None. |
|
| DiscountRate | decimal number |
None. |
|
| TaxPercentage | decimal number |
None. |
Request Formats
application/json, text/json
Sample:
{
"cartId": "98077cc8-ce68-457b-81b7-0e36a84b465a",
"cartNo": 2,
"productId": "1cde80dc-5351-48f8-a0ed-c6c0ebda2531",
"quantity": 4,
"productPackageId": "0252d75d-f019-41a4-9061-b29887ecdfce",
"rate": 6.0,
"unit": "sample string 7",
"unitType": "sample string 8",
"date": "2026-08-09T16:06:26.9708647+05:30",
"voucherAdded": true,
"voucherAmount": 11.0,
"voucherId": "b5bca8a2-452f-4b3e-a4a9-bbca5c062af7",
"discountRate": 13.0,
"taxPercentage": 14.0
}
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |